#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os

configs = {
    "rabbitmq_config": {"username": os.getenv("USERNAME_RM", "guest"),
                        "password": os.getenv("PASSWORD_RM", "ntRbt_+dgd8"),
                        "host": os.getenv("HOST_RM", "39.105.175.99"),
                        "port": os.getenv("PORT_RM", 5672),
                        "virtual_host": os.getenv("VIRTUAL_HOST_RM", "/"),
                        "exchange_type": os.getenv("EXCHANGE_TYPE", "direct"),
                        "exchange_get": os.getenv("EXCHANGE_GET", "sem.server.exchange"),
                        "queue_name_get": os.getenv("QUEUE_NAME_GET", "sem.server.queue.chillertemp.input"),
                        "routing_key_get": os.getenv("ROUTING_KEY_GET", "chillertemp.input"),
                        "exchange_send": os.getenv("EXCHANGE_SEND", "sem.server.exchange"),
                        "queue_name_send": os.getenv("QUEUE_NAME_SEND", "sem.server.queue.chillertemp.output"),
                        "routing_key_send": os.getenv("ROUTING_KEY_SEND", "chillertemp.output")},
    "rocketmq_config": {

        "access_key": os.getenv("ROCKET_USER", "test"),
        "access_secret": os.getenv("ROCKET_PASSWD", "test"),
        "host": os.getenv("ROCKET_HOST_ADDR","http://192.168.1.70:9876"),
        # "host": os.getenv("ROCKET_HOST_ADDR", "http://172.17.102.51:9876"),
        # 水温算法 触发主题
        "topic_chiller_temp_in": os.getenv("TOPIC_CHILLER_TEMP_IN", "alg-request"),
        "tag_chiller_temp_in": os.getenv("TAG_CHILLER_TEMP_IN", "alg-chiller-req"),
        # 水温算法 响应主题
        "topic_chiller_temp_out": os.getenv("TOPIC_CHILLER_TEMP_OUT", "alg-response"),
        "tag_chiller_temp_out": os.getenv("TAG_CHILLER_TEMP_OUT", "alg-chiller-resp"),

    }

}


mysql_configs = {
    "em_embasic": {"host": os.getenv("MYSQL_HOST", "hdc-emm-external.rwlb.rds.aliyuncs.com"),
                   "port": os.getenv("MYSQL_PORT", "3306"),
                   "user": os.getenv("MYSQL_USER", "readonly_chiller"),
                   "password": os.getenv("MYSQL_PASSWORD", "xafnTU5j"),
                   "db": os.getenv("MYSQL_DB_EMBASIC", "em_embasic"),
                   "charset": os.getenv("MYSQL_CHARSET", "utf8")},
    "em_bsem": {"host": os.getenv("MYSQL_HOST", "hdc-emm-external.rwlb.rds.aliyuncs.com"),
                "port": os.getenv("MYSQL_PORT", "3306"),
                "user": os.getenv("MYSQL_USER", "readonly_chiller"),
                "password": os.getenv("MYSQL_PASSWORD", "xafnTU5j"),
                "db": os.getenv("MYSQL_DB_EMBSEM", "em_bsem"),
                "charset": os.getenv("MYSQL_CHARSET", "utf8")}}
